1# Makefile.in generated by automake 1.9.6 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005  Free Software Foundation, Inc.
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17srcdir = @srcdir@
18top_srcdir = @top_srcdir@
19VPATH = @srcdir@
20pkgdatadir = $(datadir)/@PACKAGE@
21pkglibdir = $(libdir)/@PACKAGE@
22pkgincludedir = $(includedir)/@PACKAGE@
23top_builddir = .
24am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
25INSTALL = @INSTALL@
26install_sh_DATA = $(install_sh) -c -m 644
27install_sh_PROGRAM = $(install_sh) -c
28install_sh_SCRIPT = $(install_sh) -c
29INSTALL_HEADER = $(INSTALL_DATA)
30transform = $(program_transform_name)
31NORMAL_INSTALL = :
32PRE_INSTALL = :
33POST_INSTALL = :
34NORMAL_UNINSTALL = :
35PRE_UNINSTALL = :
36POST_UNINSTALL = :
37EXTRA_PROGRAMS =
38sbin_PROGRAMS = pptpd$(EXEEXT) pptpctrl$(EXEEXT) bcrelay$(EXEEXT)
39subdir = .
40DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
41	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
42	$(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
43	TODO acconfig.h install-sh missing mkinstalldirs
44ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
45am__aclocal_m4_deps = $(top_srcdir)/configure.in
46am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
47	$(ACLOCAL_M4)
48am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
49 configure.lineno configure.status.lineno
50mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
51CONFIG_HEADER = config.h
52CONFIG_CLEAN_FILES =
53am__installdirs = "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man5dir)" \
54	"$(DESTDIR)$(man8dir)"
55sbinPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
56PROGRAMS = $(sbin_PROGRAMS)
57am_bcrelay_OBJECTS = bcrelay.$(OBJEXT)
58bcrelay_OBJECTS = $(am_bcrelay_OBJECTS)
59bcrelay_LDADD = $(LDADD)
60am_pptpctrl_OBJECTS = pqueue.$(OBJEXT) pptpctrl.$(OBJEXT) \
61	ctrlpacket.$(OBJEXT) inststr.$(OBJEXT) compat.$(OBJEXT) \
62	pptpgre.$(OBJEXT) ppphdlc.$(OBJEXT)
63pptpctrl_OBJECTS = $(am_pptpctrl_OBJECTS)
64am__DEPENDENCIES_1 =
65pptpctrl_DEPENDENCIES = $(am__DEPENDENCIES_1)
66am_pptpd_OBJECTS = pqueue.$(OBJEXT) pptpd.$(OBJEXT) \
67	configfile.$(OBJEXT) pptpmanager.$(OBJEXT) compat.$(OBJEXT) \
68	inststr.$(OBJEXT) getopt.$(OBJEXT) getopt1.$(OBJEXT)
69pptpd_OBJECTS = $(am_pptpd_OBJECTS)
70pptpd_DEPENDENCIES = $(am__DEPENDENCIES_1)
71DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
72depcomp =
73am__depfiles_maybe =
74COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
75	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
76CCLD = $(CC)
77LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
78SOURCES = $(bcrelay_SOURCES) $(pptpctrl_SOURCES) $(pptpd_SOURCES)
79DIST_SOURCES = $(bcrelay_SOURCES) $(pptpctrl_SOURCES) $(pptpd_SOURCES)
80man5dir = $(mandir)/man5
81man8dir = $(mandir)/man8
82NROFF = nroff
83MANS = $(man_MANS)
84ETAGS = etags
85CTAGS = ctags
86DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
87distdir = $(PACKAGE)-$(VERSION)
88top_distdir = $(distdir)
89am__remove_distdir = \
90  { test ! -d $(distdir) \
91    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
92         && rm -fr $(distdir); }; }
93DIST_ARCHIVES = $(distdir).tar.gz
94GZIP_ENV = --best
95distuninstallcheck_listfiles = find . -type f -print
96distcleancheck_listfiles = find . -type f -print
97ACLOCAL = @ACLOCAL@
98AMDEP_FALSE = @AMDEP_FALSE@
99AMDEP_TRUE = @AMDEP_TRUE@
100AMTAR = @AMTAR@
101AUTOCONF = @AUTOCONF@
102AUTOHEADER = @AUTOHEADER@
103AUTOMAKE = @AUTOMAKE@
104AWK = @AWK@
105CC = @CC@
106CCDEPMODE = @CCDEPMODE@
107CFLAGS = -O2 -fno-builtin -Wall -DSBINDIR='"$(sbindir)"'
108CPP = @CPP@
109CPPFLAGS = @CPPFLAGS@
110CYGPATH_W = @CYGPATH_W@
111DEFS = @DEFS@
112DEPDIR = @DEPDIR@
113ECHO_C = @ECHO_C@
114ECHO_N = @ECHO_N@
115ECHO_T = @ECHO_T@
116EGREP = @EGREP@
117EXEEXT = @EXEEXT@
118GREP = @GREP@
119HAVE_OPENPTY = @HAVE_OPENPTY@
120INSTALL_DATA = @INSTALL_DATA@
121INSTALL_PROGRAM = @INSTALL_PROGRAM@
122INSTALL_SCRIPT = @INSTALL_SCRIPT@
123INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
124LDFLAGS = @LDFLAGS@
125LIBOBJS = @LIBOBJS@
126LIBS = @LIBS@
127LN_S = @LN_S@
128LTLIBOBJS = @LTLIBOBJS@
129MAKEINFO = @MAKEINFO@
130OBJEXT = @OBJEXT@
131PACKAGE = @PACKAGE@
132PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
133PACKAGE_NAME = @PACKAGE_NAME@
134PACKAGE_STRING = @PACKAGE_STRING@
135PACKAGE_TARNAME = @PACKAGE_TARNAME@
136PACKAGE_URL = @PACKAGE_URL@
137PACKAGE_VERSION = @PACKAGE_VERSION@
138PATH_SEPARATOR = @PATH_SEPARATOR@
139RANLIB = @RANLIB@
140SET_MAKE = @SET_MAKE@
141SHELL = @SHELL@
142STRIP = @STRIP@
143VERSION = @VERSION@
144XTRALIBS_CTRL = @XTRALIBS_CTRL@
145XTRALIBS_MGR = @XTRALIBS_MGR@
146XTRA_PROG = @XTRA_PROG@
147ac_ct_CC = @ac_ct_CC@
148am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
149am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
150am__include = @am__include@
151am__leading_dot = @am__leading_dot@
152am__quote = @am__quote@
153am__tar = @am__tar@
154am__untar = @am__untar@
155bindir = @bindir@
156build_alias = @build_alias@
157datadir = @datadir@
158datarootdir = @datarootdir@
159docdir = @docdir@
160dvidir = @dvidir@
161exec_prefix = @exec_prefix@
162host_alias = @host_alias@
163htmldir = @htmldir@
164includedir = @includedir@
165infodir = @infodir@
166install_sh = @install_sh@
167libdir = @libdir@
168libexecdir = @libexecdir@
169localedir = @localedir@
170localstatedir = @localstatedir@
171mandir = @mandir@
172mkdir_p = @mkdir_p@
173oldincludedir = @oldincludedir@
174pdfdir = @pdfdir@
175prefix = @prefix@
176program_transform_name = @program_transform_name@
177psdir = @psdir@
178sbindir = @sbindir@
179sharedstatedir = @sharedstatedir@
180sysconfdir = @sysconfdir@
181target_alias = @target_alias@
182
183# We have our own, simpler dependencies stuff in 'reconf'
184AUTOMAKE_OPTIONS = no-dependencies foreign
185INCLUDES = -I.
186#CFLAGS = -O2 -fno-builtin -Wall -ansi -DSBINDIR='"$(sbindir)"'
187#CFLAGS = -O2 -fno-builtin -Wall -ansi -pedantic -Wmissing-prototypes -Werror -DSBINDIR='"$(sbindir)"'
188man_MANS = pptpctrl.8 pptpd.8 pptpd.conf.5
189EXTRA_DIST = \
190html README* ChangeLog NEWS TODO $(man_MANS) \
191samples/chap-secrets samples/options.pptpd samples/pptpd.conf \
192Makefile.uClinux config.embed.h version reconf \
193tools/pptp-portslave tools/vpnstats tools/vpnstats.pl tools/vpnuser \
194pptpd.init pptpd.spec makepackage \
195plugins/Makefile plugins/*.h plugins/*.c \
196debian/README.debian debian/changelog debian/conffiles debian/config \
197debian/control debian/copyright debian/dirs debian/docs \
198debian/examples debian/pptpd-options debian/pptpd.conf \
199debian/pptpd.init debian/pptpdconfig.pl debian/rules debian/templates \
200debian/po/POTFILES.in debian/po/fr.po debian/po/pt_BR.po \
201debian/po/templates.pot
202
203
204# Header files are only used to determine what to put in a distribution, not
205# for dependencies, so just attribute them all to pptpd.
206pptpd_SOURCES = \
207	 pqueue.c pptpd.c configfile.c pptpmanager.c compat.c inststr.c getopt.c getopt1.c \
208	pqueue.h compat.h configfile.h ctrlpacket.h defaults.h inststr.h our_getopt.h \
209	our_syslog.h ppphdlc.h pptpctrl.h pptpdefs.h pptpgre.h pptpmanager.h
210
211pptpctrl_SOURCES = \
212	pqueue.c pptpctrl.c ctrlpacket.c inststr.c compat.c pptpgre.c ppphdlc.c
213
214pptpd_LDADD = $(XTRALIBS_MGR)
215pptpctrl_LDADD = $(XTRALIBS_CTRL)
216bcrelay_SOURCES = bcrelay.c defaults.h our_syslog.h our_getopt.h
217subdirs = plugins
218all: config.h
219	$(MAKE) $(AM_MAKEFLAGS) all-am
220
221.SUFFIXES:
222.SUFFIXES: .c .o .obj
223am--refresh:
224	@:
225$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
226	@for dep in $?; do \
227	  case '$(am__configure_deps)' in \
228	    *$$dep*) \
229	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
230	      cd $(srcdir) && $(AUTOMAKE) --foreign  \
231		&& exit 0; \
232	      exit 1;; \
233	  esac; \
234	done; \
235	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
236	cd $(top_srcdir) && \
237	  $(AUTOMAKE) --foreign  Makefile
238.PRECIOUS: Makefile
239Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
240	@case '$?' in \
241	  *config.status*) \
242	    echo ' $(SHELL) ./config.status'; \
243	    $(SHELL) ./config.status;; \
244	  *) \
245	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
246	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
247	esac;
248
249$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
250	$(SHELL) ./config.status --recheck
251
252$(top_srcdir)/configure:  $(am__configure_deps)
253	cd $(srcdir) && $(AUTOCONF)
254$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
255	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
256
257config.h: stamp-h1
258	@if test ! -f $@; then \
259	  rm -f stamp-h1; \
260	  $(MAKE) stamp-h1; \
261	else :; fi
262
263stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
264	@rm -f stamp-h1
265	cd $(top_builddir) && $(SHELL) ./config.status config.h
266$(srcdir)/config.h.in:  $(am__configure_deps) $(top_srcdir)/acconfig.h
267	cd $(top_srcdir) && $(AUTOHEADER)
268	rm -f stamp-h1
269	touch $@
270
271distclean-hdr:
272	-rm -f config.h stamp-h1
273install-sbinPROGRAMS: $(sbin_PROGRAMS)
274	@$(NORMAL_INSTALL)
275	test -z "$(sbindir)" || $(mkdir_p) "$(DESTDIR)$(sbindir)"
276	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
277	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
278	  if test -f $$p \
279	  ; then \
280	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
281	   echo " $(INSTALL_PROGRAM_ENV) $(sbinPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(sbindir)/$$f'"; \
282	   $(INSTALL_PROGRAM_ENV) $(sbinPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(sbindir)/$$f" || exit 1; \
283	  else :; fi; \
284	done
285
286uninstall-sbinPROGRAMS:
287	@$(NORMAL_UNINSTALL)
288	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
289	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
290	  echo " rm -f '$(DESTDIR)$(sbindir)/$$f'"; \
291	  rm -f "$(DESTDIR)$(sbindir)/$$f"; \
292	done
293
294clean-sbinPROGRAMS:
295	-test -z "$(sbin_PROGRAMS)" || rm -f $(sbin_PROGRAMS)
296bcrelay$(EXEEXT): $(bcrelay_OBJECTS) $(bcrelay_DEPENDENCIES) 
297	@rm -f bcrelay$(EXEEXT)
298	$(LINK) $(bcrelay_LDFLAGS) $(bcrelay_OBJECTS) $(bcrelay_LDADD) $(LIBS)
299pptpctrl$(EXEEXT): $(pptpctrl_OBJECTS) $(pptpctrl_DEPENDENCIES) 
300	@rm -f pptpctrl$(EXEEXT)
301	$(LINK) $(pptpctrl_LDFLAGS) $(pptpctrl_OBJECTS) $(pptpctrl_LDADD) $(LIBS)
302pptpd$(EXEEXT): $(pptpd_OBJECTS) $(pptpd_DEPENDENCIES) 
303	@rm -f pptpd$(EXEEXT)
304	$(LINK) $(pptpd_LDFLAGS) $(pptpd_OBJECTS) $(pptpd_LDADD) $(LIBS)
305
306mostlyclean-compile:
307	-rm -f *.$(OBJEXT)
308
309distclean-compile:
310	-rm -f *.tab.c
311
312.c.o:
313	$(COMPILE) -c $<
314
315.c.obj:
316	$(COMPILE) -c `$(CYGPATH_W) '$<'`
317uninstall-info-am:
318install-man5: $(man5_MANS) $(man_MANS)
319	@$(NORMAL_INSTALL)
320	test -z "$(man5dir)" || $(mkdir_p) "$(DESTDIR)$(man5dir)"
321	@list='$(man5_MANS) $(dist_man5_MANS) $(nodist_man5_MANS)'; \
322	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
323	for i in $$l2; do \
324	  case "$$i" in \
325	    *.5*) list="$$list $$i" ;; \
326	  esac; \
327	done; \
328	for i in $$list; do \
329	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
330	  else file=$$i; fi; \
331	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
332	  case "$$ext" in \
333	    5*) ;; \
334	    *) ext='5' ;; \
335	  esac; \
336	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
337	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
338	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
339	  echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man5dir)/$$inst'"; \
340	  $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man5dir)/$$inst"; \
341	done
342uninstall-man5:
343	@$(NORMAL_UNINSTALL)
344	@list='$(man5_MANS) $(dist_man5_MANS) $(nodist_man5_MANS)'; \
345	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
346	for i in $$l2; do \
347	  case "$$i" in \
348	    *.5*) list="$$list $$i" ;; \
349	  esac; \
350	done; \
351	for i in $$list; do \
352	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
353	  case "$$ext" in \
354	    5*) ;; \
355	    *) ext='5' ;; \
356	  esac; \
357	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
358	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
359	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
360	  echo " rm -f '$(DESTDIR)$(man5dir)/$$inst'"; \
361	  rm -f "$(DESTDIR)$(man5dir)/$$inst"; \
362	done
363install-man8: $(man8_MANS) $(man_MANS)
364	@$(NORMAL_INSTALL)
365	test -z "$(man8dir)" || $(mkdir_p) "$(DESTDIR)$(man8dir)"
366	@list='$(man8_MANS) $(dist_man8_MANS) $(nodist_man8_MANS)'; \
367	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
368	for i in $$l2; do \
369	  case "$$i" in \
370	    *.8*) list="$$list $$i" ;; \
371	  esac; \
372	done; \
373	for i in $$list; do \
374	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
375	  else file=$$i; fi; \
376	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
377	  case "$$ext" in \
378	    8*) ;; \
379	    *) ext='8' ;; \
380	  esac; \
381	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
382	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
383	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
384	  echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
385	  $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst"; \
386	done
387uninstall-man8:
388	@$(NORMAL_UNINSTALL)
389	@list='$(man8_MANS) $(dist_man8_MANS) $(nodist_man8_MANS)'; \
390	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
391	for i in $$l2; do \
392	  case "$$i" in \
393	    *.8*) list="$$list $$i" ;; \
394	  esac; \
395	done; \
396	for i in $$list; do \
397	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
398	  case "$$ext" in \
399	    8*) ;; \
400	    *) ext='8' ;; \
401	  esac; \
402	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
403	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
404	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
405	  echo " rm -f '$(DESTDIR)$(man8dir)/$$inst'"; \
406	  rm -f "$(DESTDIR)$(man8dir)/$$inst"; \
407	done
408
409ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
410	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
411	unique=`for i in $$list; do \
412	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
413	  done | \
414	  $(AWK) '    { files[$$0] = 1; } \
415	       END { for (i in files) print i; }'`; \
416	mkid -fID $$unique
417tags: TAGS
418
419TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
420		$(TAGS_FILES) $(LISP)
421	tags=; \
422	here=`pwd`; \
423	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
424	unique=`for i in $$list; do \
425	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
426	  done | \
427	  $(AWK) '    { files[$$0] = 1; } \
428	       END { for (i in files) print i; }'`; \
429	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
430	  test -n "$$unique" || unique=$$empty_fix; \
431	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
432	    $$tags $$unique; \
433	fi
434ctags: CTAGS
435CTAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
436		$(TAGS_FILES) $(LISP)
437	tags=; \
438	here=`pwd`; \
439	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
440	unique=`for i in $$list; do \
441	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
442	  done | \
443	  $(AWK) '    { files[$$0] = 1; } \
444	       END { for (i in files) print i; }'`; \
445	test -z "$(CTAGS_ARGS)$$tags$$unique" \
446	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
447	     $$tags $$unique
448
449GTAGS:
450	here=`$(am__cd) $(top_builddir) && pwd` \
451	  && cd $(top_srcdir) \
452	  && gtags -i $(GTAGS_ARGS) $$here
453
454distclean-tags:
455	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
456
457distdir: $(DISTFILES)
458	$(am__remove_distdir)
459	mkdir $(distdir)
460	$(mkdir_p) $(distdir)/debian $(distdir)/debian/po $(distdir)/plugins $(distdir)/samples $(distdir)/tools
461	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
462	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
463	list='$(DISTFILES)'; for file in $$list; do \
464	  case $$file in \
465	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
466	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
467	  esac; \
468	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
469	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
470	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
471	    dir="/$$dir"; \
472	    $(mkdir_p) "$(distdir)$$dir"; \
473	  else \
474	    dir=''; \
475	  fi; \
476	  if test -d $$d/$$file; then \
477	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
478	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
479	    fi; \
480	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
481	  else \
482	    test -f $(distdir)/$$file \
483	    || cp -p $$d/$$file $(distdir)/$$file \
484	    || exit 1; \
485	  fi; \
486	done
487	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
488	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
489	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
490	  ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
491	|| chmod -R a+r $(distdir)
492dist-gzip: distdir
493	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
494	$(am__remove_distdir)
495
496dist-bzip2: distdir
497	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
498	$(am__remove_distdir)
499
500dist-tarZ: distdir
501	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
502	$(am__remove_distdir)
503
504dist-shar: distdir
505	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
506	$(am__remove_distdir)
507
508dist-zip: distdir
509	-rm -f $(distdir).zip
510	zip -rq $(distdir).zip $(distdir)
511	$(am__remove_distdir)
512
513dist dist-all: distdir
514	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
515	$(am__remove_distdir)
516
517# This target untars the dist file and tries a VPATH configuration.  Then
518# it guarantees that the distribution is self-contained by making another
519# tarfile.
520distcheck: dist
521	case '$(DIST_ARCHIVES)' in \
522	*.tar.gz*) \
523	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
524	*.tar.bz2*) \
525	  bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
526	*.tar.Z*) \
527	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
528	*.shar.gz*) \
529	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
530	*.zip*) \
531	  unzip $(distdir).zip ;;\
532	esac
533	chmod -R a-w $(distdir); chmod a+w $(distdir)
534	mkdir $(distdir)/_build
535	mkdir $(distdir)/_inst
536	chmod a-w $(distdir)
537	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
538	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
539	  && cd $(distdir)/_build \
540	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
541	    $(DISTCHECK_CONFIGURE_FLAGS) \
542	  && $(MAKE) $(AM_MAKEFLAGS) \
543	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
544	  && $(MAKE) $(AM_MAKEFLAGS) check \
545	  && $(MAKE) $(AM_MAKEFLAGS) install \
546	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
547	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
548	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
549	        distuninstallcheck \
550	  && chmod -R a-w "$$dc_install_base" \
551	  && ({ \
552	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
553	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
554	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
555	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
556	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
557	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
558	  && rm -rf "$$dc_destdir" \
559	  && $(MAKE) $(AM_MAKEFLAGS) dist \
560	  && rm -rf $(DIST_ARCHIVES) \
561	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
562	$(am__remove_distdir)
563	@(echo "$(distdir) archives ready for distribution: "; \
564	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
565	  sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
566distuninstallcheck:
567	@cd $(distuninstallcheck_dir) \
568	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
569	   || { echo "ERROR: files left after uninstall:" ; \
570	        if test -n "$(DESTDIR)"; then \
571	          echo "  (check DESTDIR support)"; \
572	        fi ; \
573	        $(distuninstallcheck_listfiles) ; \
574	        exit 1; } >&2
575distcleancheck: distclean
576	@if test '$(srcdir)' = . ; then \
577	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
578	  exit 1 ; \
579	fi
580	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
581	  || { echo "ERROR: files left in build directory after distclean:" ; \
582	       $(distcleancheck_listfiles) ; \
583	       exit 1; } >&2
584check-am: all-am
585check: check-am
586all-am: Makefile $(PROGRAMS) $(MANS) config.h all-local
587installdirs:
588	for dir in "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man5dir)" "$(DESTDIR)$(man8dir)"; do \
589	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
590	done
591install: install-am
592install-exec: install-exec-am
593install-data: install-data-am
594uninstall: uninstall-am
595
596install-am: all-am
597	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
598
599installcheck: installcheck-am
600install-strip:
601	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
602	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
603	  `test -z '$(STRIP)' || \
604	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
605mostlyclean-generic:
606
607clean-generic:
608
609distclean-generic:
610	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
611
612maintainer-clean-generic:
613	@echo "This command is intended for maintainers to use"
614	@echo "it deletes files that may require special tools to rebuild."
615clean: clean-am
616
617clean-am: clean-generic clean-local clean-sbinPROGRAMS mostlyclean-am
618
619distclean: distclean-am
620	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
621	-rm -f Makefile
622distclean-am: clean-am distclean-compile distclean-generic \
623	distclean-hdr distclean-tags
624
625dvi: dvi-am
626
627dvi-am:
628
629html: html-am
630
631info: info-am
632
633info-am:
634
635install-data-am: install-man
636
637install-exec-am: install-exec-local install-sbinPROGRAMS
638
639install-info: install-info-am
640
641install-man: install-man5 install-man8
642
643installcheck-am:
644
645maintainer-clean: maintainer-clean-am
646	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
647	-rm -rf $(top_srcdir)/autom4te.cache
648	-rm -f Makefile
649maintainer-clean-am: distclean-am maintainer-clean-generic
650
651mostlyclean: mostlyclean-am
652
653mostlyclean-am: mostlyclean-compile mostlyclean-generic
654
655pdf: pdf-am
656
657pdf-am:
658
659ps: ps-am
660
661ps-am:
662
663uninstall-am: uninstall-info-am uninstall-local uninstall-man \
664	uninstall-sbinPROGRAMS
665
666uninstall-man: uninstall-man5 uninstall-man8
667
668.PHONY: CTAGS GTAGS all all-am all-local am--refresh check check-am \
669	clean clean-generic clean-local clean-sbinPROGRAMS ctags dist \
670	dist-all dist-bzip2 dist-gzip dist-shar dist-tarZ dist-zip \
671	distcheck distclean distclean-compile distclean-generic \
672	distclean-hdr distclean-tags distcleancheck distdir \
673	distuninstallcheck dvi dvi-am html html-am info info-am \
674	install install-am install-data install-data-am install-exec \
675	install-exec-am install-exec-local install-info \
676	install-info-am install-man install-man5 install-man8 \
677	install-sbinPROGRAMS install-strip installcheck \
678	installcheck-am installdirs maintainer-clean \
679	maintainer-clean-generic mostlyclean mostlyclean-compile \
680	mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
681	uninstall-am uninstall-info-am uninstall-local uninstall-man \
682	uninstall-man5 uninstall-man8 uninstall-sbinPROGRAMS
683
684
685@SET_MAKE@
686
687export LIBDIR=$(libdir)/pptpd
688
689all-local:
690	for d in $(subdirs); do $(MAKE) $(MFLAGS) -C $$d all; done
691
692install-exec-local:
693	for d in $(subdirs); do $(MAKE) $(MFLAGS) -C $$d prefix=$(prefix) DESTDIR=$(DESTDIR) install; done
694
695clean-local:
696	for d in $(subdirs); do $(MAKE) $(MFLAGS) -C $$d clean; done
697
698uninstall-local:
699	for d in $(subdirs); do $(MAKE) $(MFLAGS) -C $$d prefix=$(prefix) DESTDIR=$(DESTDIR) uninstall; done
700
701package: deb rpm
702
703deb:
704	fakeroot dpkg-buildpackage -us -uc
705
706rpm:
707	fakeroot rpmbuild -ta pptpd-$(VERSION).tar.gz
708
709bcrelay.o: bcrelay.c config.h defaults.h our_syslog.h our_getopt.h
710
711compat.o: compat.c config.h compat.h our_syslog.h inststr.h
712
713configfile.o: configfile.c config.h defaults.h configfile.h our_syslog.h
714
715ctrlpacket.o: ctrlpacket.c config.h our_syslog.h pptpdefs.h pptpctrl.h \
716  ctrlpacket.h compat.h
717
718getopt.o: getopt.c config.h our_getopt.h
719
720getopt1.o: getopt1.c config.h our_getopt.h
721
722inststr.o: inststr.c config.h inststr.h compat.h
723
724ppphdlc.o: ppphdlc.c config.h ppphdlc.h
725
726pptpctrl.o: pptpctrl.c config.h our_syslog.h compat.h pptpctrl.h \
727  pptpgre.h pptpdefs.h ctrlpacket.h defaults.h
728
729pptpd.o: pptpd.c config.h our_syslog.h our_getopt.h configfile.h \
730  defaults.h compat.h pptpmanager.h
731
732pptpgre.o: pptpgre.c config.h our_syslog.h ppphdlc.h pptpgre.h pptpdefs.h \
733  pptpctrl.h defaults.h pqueue.h compat.h
734
735pptpmanager.o: pptpmanager.c config.h our_syslog.h configfile.h \
736  defaults.h pptpctrl.h pptpdefs.h pptpmanager.h compat.h
737
738pqueue.o: pqueue.c pqueue.h
739# Tell versions [3.59,3.63) of GNU make to not export all variables.
740# Otherwise a system limit (for SysV at least) may be exceeded.
741.NOEXPORT:
742